#include <bits/stdc++.h>

using namespace std;

int h, w;
char m[505][505];

int main(){

    scanf("%d%d", &h, &w);

    for(int i=1; i<=h; i++){
        for(int j=1; j<=w; j++){
            cin >> m[i][j];
        }
    }

    printf("-1\n");

 return 0;
}